﻿@model IEnumerable<SocialSecurity>
<h3 style="margin-bottom:10px">Social Security</h3>
@foreach (var item in Model)
{
    <div style="border:1px solid #c6c8ca;margin:10px;padding:15px;border-radius:10px">
        <div class="font-size-large font-weight-bold">@item.EmploymentOfWithData</div>
        <div>
            <span>Are you eligible to receive Social Security retirement benefits?</span>
            <span class="text-ink">@item.ssretirementbenefit.BoolToYesNo()</span>
        </div>
        @if (item.ssretirementbenefit)
        {
            <div>
                <span>Are you currently receiving Social Security?</span>
                <span class="text-ink">@item.ssreceiving.BoolToYesNo()</span>
            </div>
        }
        @if (!item.ssretirementbenefit)
        {
            <div>
                <span>Are you legally exempt based upon one of the following exemptions?</span>
                <span class="text-ink">@item.ssLegally.BoolToYesNo()</span>
            </div>
            <div>
                <i>
                    (Clergy Exemption, Qualifying religious exemption, Nonresident aliens, Temporary
                    student exemption, Foreign government exemption)
                </i>
            </div>
        }
        @if (!item.ssretirementbenefit && !item.ssLegally)
        {
            <div class="font-weight-bold">Explanation for your exemption status:</div>
            <div>@item.ssexemptionStatus</div>
        }

        @if (item.ssretirementbenefit && item.ssreceiving)
        {
            <div>
                <span>What is your monthly Social Security Benefit?</span>
                <span class="text-ink">@string.Format("{0:C0}", item.ssmonthly)</span>
            </div>
        }

        @if (item.ssretirementbenefit && !item.ssreceiving)
        {
            <div>
                <span>At what age do you plan to start receiving your Social Security benefit?</span>
                <span class="text-ink">@item.sSageBenifitsEnum</span>
            </div>
            <div>
                <span>How much Social Security benefit are you expecting to receive monthly?</span>
                <span class="text-ink">@string.Format("{0:C0}", item.ssexpexting)</span>
            </div>
        }
        @if (item.ssretirementbenefit)
        {
            <div class="font-weight-bold">
                Certain types of retirement incomes may affect Social Security Retirement benefits:
            </div>
            <div>
                <span>Do you have a Federal, State, or Municipal pension with a Government Pension Offset(GPO)?</span>
                <span class="text-ink">@item.ssGovPension.BoolToYesNo()</span>
            </div>
            @if (item.EmploymentOf.ToString() != (ClientTypeEnum.Spouse).ToString())
            {
                <div>
                    <span>Surviving Child Benefits Estimate</span>
                    <span class="text-ink">@string.Format("{0:C0}", item.ssChildBenefits)</span>
                </div>
            }
        }
        @if (item.ssLegally)
        {
            <div class="font-weight-bold">Please select the appropriate exemption option below:</div>
            @foreach (var item1 in Html.GetEnumSelectList<SSexemptionEnum>())
            {
                int cnt2 = 1;
                <div>
                    <input type="radio" @(item1.Value == ((int)item.sSexemptionEnum).ToString() ? "checked" : "")>
                    @item1.Text
                </div>
                cnt2++;
            }
        }
    </div>
}
<hr style="border-top: 1px solid #23588d;margin-top:30px" />